aboutsummaryrefslogtreecommitdiff
path: root/reproduce/src/bash/git-pre-commit
diff options
context:
space:
mode:
Diffstat (limited to 'reproduce/src/bash/git-pre-commit')
-rw-r--r--reproduce/src/bash/git-pre-commit83
1 files changed, 0 insertions, 83 deletions
diff --git a/reproduce/src/bash/git-pre-commit b/reproduce/src/bash/git-pre-commit
deleted file mode 100644
index dbe0ecc..0000000
--- a/reproduce/src/bash/git-pre-commit
+++ /dev/null
@@ -1,83 +0,0 @@
-#!@BINDIR@/bash
-#
-# The example hook script to store the metadata information of version
-# controlled files (with each commit) using the `metastore' program.
-#
-# Copyright (C) 2016 Przemyslaw Pawelczyk <przemoc@gmail.com>
-# Copyright (C) 2018-2019 Mohammad Akhlaghi <mohammad@akhlaghi.org>
-#
-# WARNING:
-#
-# If the commit is aborted (e.g. by not entering any synopsis),
-# then updated metastore file (.metadata by default) is not reverted,
-# so its new version remains in the index.
-# To undo any changes in metastore file written since HEAD commit,
-# you may want to reset and checkout HEAD version of the file:
-#
-# git reset HEAD -- .metadata
-# git checkout HEAD -- .metadata
-#
-# This script is taken from the `examples/hooks/pre-commit' file of the
-# `metastore' package (installed within the project, with an MIT license
-# for copyright). Here, the name of the `MSFILE' and also set special
-# characters for the installation location of meta-store so our own
-# installation is found by Git.
-#
-# Permission is hereby granted, free of charge, to any person obtaining a
-# copy of this software and associated documentation files (the
-# "Software"), to deal in the Software without restriction, including
-# without limitation the rights to use, copy, modify, merge, publish,
-# distribute, sublicense, and/or sell copies of the Software, and to permit
-# persons to whom the Software is furnished to do so, subject to the
-# following conditions:
-#
-# The above copyright notice and this permission notice shall be included
-# in all copies or substantial portions of the Software.
-#
-# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
-# OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
-# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN
-# NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
-# DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
-# OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE
-# USE OR OTHER DEALINGS IN THE SOFTWARE.
-
-# File containig the metadata and metastore executable.
-MSFILE=".file-metadata"
-MSBIN=@BINDIR@/metastore
-
-# If metastore is not installed, then ignore this script (exit with a
-# status of 0).
-if [ ! -f $MSBIN ]; then exit 0; fi
-
-# Function to help in reporting a crash.
-exit_on_fail() {
- "$@"
- if [ $? -ne 0 ]; then
- echo "Failed to execute: $@" >&2
- exit 1
- fi
-}
-
-# Run metastore.
-exit_on_fail \
- $MSBIN -O @USER@ -G @GROUP@ -s -f "$MSFILE"
-
-# If it's first metastore commit, store again to include $MSFILE in $MSFILE.
-if ! git-ls-tree --name-only HEAD 2>/dev/null | grep -Fqx "$MSFILE"; then
- exit_on_fail \
- $MSBIN -O @USER@ -G @GROUP@ -s -f "$MSFILE"
-fi
-
-# Check if the metadata file exists.
-if [ ! -e "$MSFILE" ]; then
- echo "\"$MSFILE\" missing" >&2
- exit 1
-fi
-
-# Add the metadata file to the Git repository.
-exit_on_fail \
- git-add "$MSFILE"
-
-# Return with a success code (0).
-exit 0